/**
 * Created by leiyouwho on 7/27/16.
 */

import React from 'react';

const Loading = (device) => (Target) => {
  if (device === 'pc') {
    const Spin = require('antd/lib/spin');
    return class Loading extends React.Component {
      isLoading() {
        return this.props.isFetching;
      }
      render() {
        return (
          <Spin spinning={this.isLoading()}><Target { ...this.props } /></Spin>
        );
      }
    }
  } else if (device === 'mobile') {
    const ActivityIndicator = require('antd-mobile/lib/activity-indicator');
    return class Loading extends React.Component {
      isLoading() {
        return this.props.isFetching;
      }
      render() {
        return (
          <div>
            <ActivityIndicator toast text="正在加载" animating={this.isLoading()} />
            <Target { ...this.props } />
          </div>
        );
      }
    }
  }
};

export default Loading;
